#!/bin/sh

# Why is this in rc.local.d
# It had to be here because during a sysupgrade the /sysupgrade.tgz file exists until
# /etc/init.d/done is run.  Then it is removed.  If config.txt is updated before this occurs
# then the file doesn't get removed, the reboot occurs and the /boot/config.txt file gets replaced
# again with the original contents so the changes are not saved.

BOOT_CONFIG_FILE="/boot/config.txt"
BOOT_TEST_FILE="/etc/.rebooted"
LOGFILE="/tmp/add-hwclock.log"

[ -e "$BOOT_TEST_FILE" ]  && {
	rm $BOOT_TEST_FILE
	exit 0
}

echo "NO BOOT TEST FILE EXISTS" >> $LOGFILE

grep -q "^dtoverlay=i2c-rtc,ds3231" /boot/config.txt || {
	echo "dtoverlay=i2c-rtc,ds3231" >> /boot/config.txt
	touch $BOOT_TEST_FILE
	reboot
}



